CVE-2017-6350

HIGH

Description

An integer overflow at an unserialize_uep memory allocation site would occur for vim before patch 8.0.0378, if it does not properly validate values for tree length when reading a corrupted undo file, which may lead to resultant buffer overflows.

References

http://www.securityfocus.com/bid/96448

http://www.securitytracker.com/id/1037949

https://github.com/vim/vim/commit/0c8485f0e4931463c0f7986e1ea84a7d79f10c75

https://groups.google.com/forum/#!topic/vim_dev/L_dOHOOiQ5Q

https://groups.google.com/forum/#!topic/vim_dev/QPZc0CY9j3Y

https://security.gentoo.org/glsa/201706-26

Details

Source: MITRE

Published: 2017-02-27

Updated: 2018-08-13

Type: CWE-190

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL